> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ERC-1155 balance

> Lists ERC-1155 token balances of a wallet address.



## OpenAPI

````yaml get /somnia/v1/address/{walletAddress}/balance/erc1155
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /somnia/v1/address/{walletAddress}/balance/erc1155:
    get:
      tags:
        - Balances
      summary: Get ERC-1155 balance
      description: Lists ERC-1155 token balances of a wallet address.
      operationId: getErc1155TokenBalanceForAddress
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
        - description: A contract address to filter by.
          in: query
          name: contract-address
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Erc1155TokenBalancesResponse'
          description: A list of ERC-1155 token balances
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    Erc1155TokenBalancesResponse:
      properties:
        cursor:
          nullable: true
          type: string
        erc1155TokenBalances:
          items:
            $ref: '#/components/schemas/NFTTokenBalance'
          type: array
        resultCount:
          description: amount of nfts equal to page size.
          type: integer
      required:
        - resultCount
        - erc1155TokenBalances
      type: object
    NFTTokenBalance:
      properties:
        address:
          description: Contract address of the NFT token.
          type: string
        balance:
          description: balance of NFT
          type: string
          x-omitempty: true
        ercType:
          description: ERC standard type.
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
        tokenId:
          description: Unique identifier of the token.
          type: string
        tokenUri:
          description: URI pointing to the token metadata.
          type: string
      required:
        - address
        - ercType
        - tokenId
        - tokenUri
        - metadata
        - name
        - symbol
      type: object
    Metadata:
      properties:
        attributes:
          description: Additional attributes of the token.
          type: string
          x-omitempty: true
        decimals:
          description: Decimals of the token.
          format: int64
          type: integer
          x-nullable: true
        description:
          description: Description of the token.
          type: string
          x-omitempty: true
        externalUrl:
          description: External URL related to the token.
          type: string
          x-omitempty: true
        imageUri:
          description: URI for the token image.
          type: string
          x-omitempty: true
        mintedBlockNumber:
          description: Minted block number of the token.
          format: int64
          type: integer
          x-omitempty: true
        mintedTimestamp:
          description: Minted timestamp of the token.
          format: date-time
          type: string
          x-omitempty: true
        name:
          description: Name of the token.
          type: string
          x-omitempty: true
        symbol:
          description: Symbol of the token.
          type: string
          x-omitempty: true
      required:
        - mintedBlockNumber
        - name
        - symbol
        - imageUri
        - description
        - externalUrl
        - attributes
      type: object

````